Skip to main content
PUT
/
v3
/
currencies
/
{currency}
Edit Currency
curl --request PUT \
  --url https://api.{tenant}.getomneo.com/api/v3/currencies/{currency} \
  --header 'Content-Type: application/json' \
  --data '{
  "rate": 123
}'
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/currencies/{currency}"

payload = { "rate": 123 }
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({rate: 123})
};

fetch('https://api.{tenant}.getomneo.com/api/v3/currencies/{currency}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "from": "<string>",
    "to": "<string>",
    "rate": 123,
    "is_system": true,
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>",
"errors": {}
}

Path Parameters

currency
integer
required

The currency ID

Body

application/json
rate
number
required

Response

Currency

data
Currency · object
required